> For the complete documentation index, see [llms.txt](https://docs.natsclub.cn/cn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.natsclub.cn/cn/nats-gai-nian.md).

# NATS 概念

- [概览](https://docs.natsclub.cn/cn/nats-gai-nian/overview.md)
- [比较 NATS](https://docs.natsclub.cn/cn/nats-gai-nian/overview/compare-nats.md): 这份比较主要关注 NATS, Apache Kafka, RabbitMQ, Apache Pulsar, and gRPC.
- [什么是NATS](https://docs.natsclub.cn/cn/nats-gai-nian/what-is-nats.md)
- [演练安装](https://docs.natsclub.cn/cn/nats-gai-nian/what-is-nats/walkthrough_setup.md)
- [基于主题的消息](https://docs.natsclub.cn/cn/nats-gai-nian/subjects.md)
- [核心NATS](https://docs.natsclub.cn/cn/nats-gai-nian/core-nats.md)
- [发布和订阅](https://docs.natsclub.cn/cn/nats-gai-nian/core-nats/pubsub.md)
- [发布/订阅演 练](https://docs.natsclub.cn/cn/nats-gai-nian/core-nats/pubsub/pubsub_walkthrough.md)
- [请求和响应](https://docs.natsclub.cn/cn/nats-gai-nian/core-nats/reqreply.md)
- [请求/响应 演练](https://docs.natsclub.cn/cn/nats-gai-nian/core-nats/reqreply/reqreply_walkthrough.md)
- [队列组](https://docs.natsclub.cn/cn/nats-gai-nian/core-nats/queue.md)
- [队列 演练](https://docs.natsclub.cn/cn/nats-gai-nian/core-nats/queue/queues_walkthrough.md)
- [JetStream](https://docs.natsclub.cn/cn/nats-gai-nian/jetstream.md)
- [流](https://docs.natsclub.cn/cn/nats-gai-nian/jetstream/streams.md)
- [消费者](https://docs.natsclub.cn/cn/nats-gai-nian/jetstream/consumers.md)
- [示例](https://docs.natsclub.cn/cn/nats-gai-nian/jetstream/consumers/example_configuration.md)
- [JetStream 演练](https://docs.natsclub.cn/cn/nats-gai-nian/jetstream/js_walkthrough.md)
- [键值对存储](https://docs.natsclub.cn/cn/nats-gai-nian/jetstream/key-value-store.md)
- [键值对存储演练](https://docs.natsclub.cn/cn/nats-gai-nian/jetstream/key-value-store/kv_walkthrough.md)
- [对象存储](https://docs.natsclub.cn/cn/nats-gai-nian/jetstream/obj_store.md)
- [对象存储演练](https://docs.natsclub.cn/cn/nats-gai-nian/jetstream/obj_store/obj_walkthrough.md)
- [主题映射与分区](https://docs.natsclub.cn/cn/nats-gai-nian/subject_mapping.md)
- [NATS服务器基础架构](https://docs.natsclub.cn/cn/nats-gai-nian/service_infrastructure.md)
- [NATS部署架构适配](https://docs.natsclub.cn/cn/nats-gai-nian/service_infrastructure/adaptive_edge_deployment.md)
- [安全](https://docs.natsclub.cn/cn/nats-gai-nian/security.md)
- [连接性](https://docs.natsclub.cn/cn/nats-gai-nian/connectivity.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.natsclub.cn/cn/nats-gai-nian.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
